> For the complete documentation index, see [llms.txt](https://lionstudios.gitbook.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lionstudios.gitbook.io/readme/analytics/api/events/predictionresult.md).

# PredictionResult

| Name           | Type                        | Select   | Backend name     | Description                                                                                                       |
| -------------- | --------------------------- | -------- | ---------------- | ----------------------------------------------------------------------------------------------------------------- |
| modelName      | string                      | Required | model\_name      | The name of the model which could be descriptive to its usage.                                                    |
| modelVersion   | string                      | Required | model\_version   | The version of the model                                                                                          |
| modelInput     | object                      | Required | model\_input     | JSON formatted data with model's input. The actual input can be key-value pairs or arrays depending on the model. |
| modelOutput    | object                      | Required | model\_output    | JSON formatted result from calling the model. Either single key-value pair or multiple key-value pairs.           |
| additionalData | Dictionary\<string, object> | Optional | additional\_data | Any additional information                                                                                        |

## Usage

Model details served by service. This event is track to the inputs, outputs and related information by calling a model and returned by the server. It starts tracking when the game calls the model, and fires the event when the game receives the result. If the call takes over X seconds and not getting response, we should fire this event anyway to let us know the call is failed.

## Code examples:

```csharp
LionAnalytics.PredictionResult(
        modelName: "ml_model_trial_25",
        modelVersion: "0.1.25",
        modelInput: new int[3] { 5, 4, 6 },
        modelOutput: new int[3] { 4, 4, 4 });
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://lionstudios.gitbook.io/readme/analytics/api/events/predictionresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
